cutlass::library::GemmArguments Struct Reference

Arguments for GEMM.

`#include <library.h>`

## Public Attributes

void const * | A
| Pointer to A matrix. More...
void const * | B
| Pointer to B matrix. More...
void const * | C
| Pointer to C matrix. More...
void * | D
| Pointer to D matrix. More...
void const * | alpha
| Host or device pointer to alpha scalar. More...
void const * | beta
| Host or device pointer to beta scalar. More...
ScalarPointerMode | pointer_mode
| Enumerant indicating whether alpha/beta point to host or device memory. More...

## Member Data Documentation

void const* cutlass::library::GemmArguments::A

void const* cutlass::library::GemmArguments::alpha

void const* cutlass::library::GemmArguments::B

void const* cutlass::library::GemmArguments::beta

void const* cutlass::library::GemmArguments::C

void* cutlass::library::GemmArguments::D

ScalarPointerMode cutlass::library::GemmArguments::pointer_mode

The documentation for this struct was generated from the following file:

- library.h